Welcome to Black Liquid Software

Register now to gain access to all of our features. Once registered and logged in, you will be able to contribute to this site by submitting your own content or replying to existing content. You'll be able to customize your profile, receive reputation points as a reward for submitting content, while also communicating with other members via your own private inbox, plus much more! This message will be removed once you have signed in.

Sign in to follow this  
Followers 0
DesoPL

Need help with putting mods.

Allmost is one year since i seriously played Banished and i see so much good stuff come to the game with mods.

 

I need your help guys, because now i am confused. I wanted use Megamod but idk if got lately na april - may updated etc. Help?

Share this post


Link to post
Share on other sites

The most recent MegaMod is here on the Forum - .07 plus MegaMod Deco .07. This contains Colonial Charter 1.71.

If you want to play the more recent version 1.75, you can download that from here as well. Because this newer version uses the new flags (think "catagories"), you'll need to use Banished 1.0.7 Beta along with the Compatibility Mod (also available on the Forum).  These need to be loaded in the following order:

  • 1.0.7 Compatibility
  • Colonial Carter 1.75
  • MegaMod .07
  • MegaMod .07 Deco
1 person likes this

Share this post


Link to post
Share on other sites
34 minutes ago, estherhb said:

The most recent MegaMod is here on the Forum - .07 plus MegaMod Deco .07. This contains Colonial Charter 1.71.

If you want to play the more recent version 1.75, you can download that from here as well. Because this newer version uses the new flags (think "catagories"), you'll need to use Banished 1.0.7 Beta along with the Compatibility Mod (also available on the Forum).  These need to be loaded in the following order:

  • 1.0.7 Compatibility
  • Colonial Carter 1.75
  • MegaMod .07
  • MegaMod .07 Deco

That's what i talk about! Since also there is new versiuons of Discrepancy mods etc, what i want try out. :)

1 person likes this

Share this post


Link to post
Share on other sites

I'm not 100% certain, but if you place my mods below CC1.75, but above both MegaMod files they should be okay. Only use the new icons from the new community toolbar though.

 

1.0.7 Compatibility

Colonial Charter 1.75

DS Blast Furnace (normal version)

DS Jetty & Bridge

DS TownHouses

DSSV: Homes

DSSV: Production beta3

... all other DS-prefix mods

MegaMod .07

MegaMod .07 Deco

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0